OpenNMS API 1.2.9

## org.opennms.netmgt.config.notifications
Class Notification

    java.lang.Object
      org.opennms.netmgt.config.notifications.Notification

All Implemented Interfaces:
  java.io.Serializable

public class Notification
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_description`
`private java.lang.String` `_destinationPath`
`private java.lang.String` `_name`
`private java.lang.String` `_noticeQueue`
`private java.lang.String` `_numericMessage`
`private java.util.ArrayList` `_parameterList`
`private java.lang.String` `_rule`
`private java.lang.String` `_status`
`private java.lang.String` `_subject`
`private java.lang.String` `_textMessage`
`private java.lang.String` `_uei`
`private Varbind` `_varbind`
`private java.lang.String` `_writeable`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Notification()`

Method Summary
`void` `addParameter(int index, Parameter vParameter)`
`void` `addParameter(Parameter vParameter)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearParameter()`
`java.util.Enumeration` `enumerateParameter()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getDescription()` Returns the value of field 'description'.
`java.lang.String` `getDestinationPath()` Returns the value of field 'destinationPath'.
`java.lang.String` `getName()` Returns the value of field 'name'.
`java.lang.String` `getNoticeQueue()` Returns the value of field 'noticeQueue'.
`java.lang.String` `getNumericMessage()` Returns the value of field 'numericMessage'.
`Parameter[]` `getParameter()`
`Parameter` `getParameter(int index)`
`java.util.Collection` `getParameterCollection()`
`int` `getParameterCount()`
`java.lang.String` `getRule()` Returns the value of field 'rule'.
`java.lang.String` `getStatus()` Returns the value of field 'status'.
`java.lang.String` `getSubject()` Returns the value of field 'subject'.
`java.lang.String` `getTextMessage()` Returns the value of field 'textMessage'.
`java.lang.String` `getUei()` Returns the value of field 'uei'.
`Varbind` `getVarbind()` Returns the value of field 'varbind'.
`java.lang.String` `getWriteable()` Returns the value of field 'writeable'.
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeParameter(Parameter vParameter)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setDescription(java.lang.String description)` Sets the value of field 'description'.
`void` `setDestinationPath(java.lang.String destinationPath)` Sets the value of field 'destinationPath'.
`void` `setName(java.lang.String name)` Sets the value of field 'name'.
`void` `setNoticeQueue(java.lang.String noticeQueue)` Sets the value of field 'noticeQueue'.
`void` `setNumericMessage(java.lang.String numericMessage)` Sets the value of field 'numericMessage'.
`void` `setParameter(int index, Parameter vParameter)`
`void` `setParameter(Parameter[] parameterArray)`
`void` `setParameterCollection(java.util.Collection vParameter)`
`void` `setRule(java.lang.String rule)` Sets the value of field 'rule'.
`void` `setStatus(java.lang.String status)` Sets the value of field 'status'.
`void` `setSubject(java.lang.String subject)` Sets the value of field 'subject'.
`void` `setTextMessage(java.lang.String textMessage)` Sets the value of field 'textMessage'.
`void` `setUei(java.lang.String uei)` Sets the value of field 'uei'.
`void` `setVarbind(Varbind varbind)` Sets the value of field 'varbind'.
`void` `setWriteable(java.lang.String writeable)` Sets the value of field 'writeable'.
`static Notification` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _name

    private java.lang.String _name

### _status

    private java.lang.String _status

### _writeable

    private java.lang.String _writeable

### _uei

    private java.lang.String _uei

### _description

    private java.lang.String _description

### _rule

    private java.lang.String _rule

### _noticeQueue

    private java.lang.String _noticeQueue

### _destinationPath

    private java.lang.String _destinationPath

### _textMessage

    private java.lang.String _textMessage

### _subject

    private java.lang.String _subject

### _numericMessage

    private java.lang.String _numericMessage

### _parameterList

    private java.util.ArrayList _parameterList

### _varbind

    private Varbind _varbind

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Notification

    public Notification()

Method Detail

### addParameter

    public void addParameter(Parameter vParameter)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vParameter` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addParameter

    public void addParameter(int index,
                             Parameter vParameter)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vParameter` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearParameter

    public void clearParameter()

### enumerateParameter

    public java.util.Enumeration enumerateParameter()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getDescription

    public java.lang.String getDescription()

  Returns the value of field 'description'.

  Returns:
    the value of field 'description'.

### getDestinationPath

    public java.lang.String getDestinationPath()

  Returns the value of field 'destinationPath'.

  Returns:
    the value of field 'destinationPath'.

### getName

    public java.lang.String getName()

  Returns the value of field 'name'.

  Returns:
    the value of field 'name'.

### getNoticeQueue

    public java.lang.String getNoticeQueue()

  Returns the value of field 'noticeQueue'.

  Returns:
    the value of field 'noticeQueue'.

### getNumericMessage

    public java.lang.String getNumericMessage()

  Returns the value of field 'numericMessage'.

  Returns:
    the value of field 'numericMessage'.

### getParameter

    public Parameter getParameter(int index)
                           throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getParameter

    public Parameter[] getParameter()

### getParameterCollection

    public java.util.Collection getParameterCollection()

### getParameterCount

    public int getParameterCount()

### getRule

    public java.lang.String getRule()

  Returns the value of field 'rule'.

  Returns:
    the value of field 'rule'.

### getStatus

    public java.lang.String getStatus()

  Returns the value of field 'status'.

  Returns:
    the value of field 'status'.

### getSubject

    public java.lang.String getSubject()

  Returns the value of field 'subject'.

  Returns:
    the value of field 'subject'.

### getTextMessage

    public java.lang.String getTextMessage()

  Returns the value of field 'textMessage'.

  Returns:
    the value of field 'textMessage'.

### getUei

    public java.lang.String getUei()

  Returns the value of field 'uei'.

  Returns:
    the value of field 'uei'.

### getVarbind

    public Varbind getVarbind()

  Returns the value of field 'varbind'.

  Returns:
    the value of field 'varbind'.

### getWriteable

    public java.lang.String getWriteable()

  Returns the value of field 'writeable'.

  Returns:
    the value of field 'writeable'.

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeParameter

    public boolean removeParameter(Parameter vParameter)

  Parameters:
    `vParameter` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the value of field 'description'.

  Parameters:
    `description` - the value of field 'description'.

### setDestinationPath

    public void setDestinationPath(java.lang.String destinationPath)

  Sets the value of field 'destinationPath'.

  Parameters:
    `destinationPath` - the value of field 'destinationPath'.

### setName

    public void setName(java.lang.String name)

  Sets the value of field 'name'.

  Parameters:
    `name` - the value of field 'name'.

### setNoticeQueue

    public void setNoticeQueue(java.lang.String noticeQueue)

  Sets the value of field 'noticeQueue'.

  Parameters:
    `noticeQueue` - the value of field 'noticeQueue'.

### setNumericMessage

    public void setNumericMessage(java.lang.String numericMessage)

  Sets the value of field 'numericMessage'.

  Parameters:
    `numericMessage` - the value of field 'numericMessage'.

### setParameter

    public void setParameter(int index,
                             Parameter vParameter)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vParameter` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setParameter

    public void setParameter(Parameter[] parameterArray)

  Parameters:
    `parameterArray` -

### setParameterCollection

    public void setParameterCollection(java.util.Collection vParameter)

  Parameters:
    `vParameter` -

### setRule

    public void setRule(java.lang.String rule)

  Sets the value of field 'rule'.

  Parameters:
    `rule` - the value of field 'rule'.

### setStatus

    public void setStatus(java.lang.String status)

  Sets the value of field 'status'.

  Parameters:
    `status` - the value of field 'status'.

### setSubject

    public void setSubject(java.lang.String subject)

  Sets the value of field 'subject'.

  Parameters:
    `subject` - the value of field 'subject'.

### setTextMessage

    public void setTextMessage(java.lang.String textMessage)

  Sets the value of field 'textMessage'.

  Parameters:
    `textMessage` - the value of field 'textMessage'.

### setUei

    public void setUei(java.lang.String uei)

  Sets the value of field 'uei'.

  Parameters:
    `uei` - the value of field 'uei'.

### setVarbind

    public void setVarbind(Varbind varbind)

  Sets the value of field 'varbind'.

  Parameters:
    `varbind` - the value of field 'varbind'.

### setWriteable

    public void setWriteable(java.lang.String writeable)

  Sets the value of field 'writeable'.

  Parameters:
    `writeable` - the value of field 'writeable'.

### unmarshal

    public static Notification unmarshal(java.io.Reader reader)
                                  throws org.exolab.castor.xml.MarshalException,
                                         org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.